Package org.eclipse.m2m.atl.adt.ui.text.atl

# Class AtlParameterListValidator

java.lang.Object
org.eclipse.m2m.atl.adt.ui.text.atl.AtlParameterListValidator

All Implemented Interfaces:
  `org.eclipse.jface.text.contentassist.IContextInformationPresenter`, `org.eclipse.jface.text.contentassist.IContextInformationValidator`

public class AtlParameterListValidator extends Object implements org.eclipse.jface.text.contentassist.IContextInformationValidator, org.eclipse.jface.text.contentassist.IContextInformationPresenter
A validator for the parameters.

## Constructor Summary

Constructors
Constructor
Description
`AtlParameterListValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`install(org.eclipse.jface.text.contentassist.IContextInformation info, org.eclipse.jface.text.ITextViewer viewer, int documentPosition)`
`boolean`
`isContextInformationValid(int position)`
`boolean`
`updatePresentation(int position, org.eclipse.jface.text.TextPresentation presentation)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AtlParameterListValidator

public AtlParameterListValidator()

## Method Details

### install

public void install(org.eclipse.jface.text.contentassist.IContextInformation info, org.eclipse.jface.text.ITextViewer viewer, int documentPosition)

Specified by:
  `install` in interface `org.eclipse.jface.text.contentassist.IContextInformationPresenter`
Specified by:
  `install` in interface `org.eclipse.jface.text.contentassist.IContextInformationValidator`
See Also:
  - `IContextInformationValidator.install(org.eclipse.jface.text.contentassist.IContextInformation, org.eclipse.jface.text.ITextViewer, int)`

### isContextInformationValid

public boolean isContextInformationValid(int position)

Specified by:
  `isContextInformationValid` in interface `org.eclipse.jface.text.contentassist.IContextInformationValidator`
See Also:
  - `IContextInformationValidator.isContextInformationValid(int)`

### updatePresentation

public boolean updatePresentation(int position, org.eclipse.jface.text.TextPresentation presentation)

Specified by:
  `updatePresentation` in interface `org.eclipse.jface.text.contentassist.IContextInformationPresenter`
See Also:
  - `IContextInformationPresenter.updatePresentation(int, org.eclipse.jface.text.TextPresentation)`